org.keycloak.models

## Enum ImpersonationSessionNote

- java.lang.Object
- - java.lang.Enum<ImpersonationSessionNote>
  - - org.keycloak.models.ImpersonationSessionNote

- All Implemented Interfaces:
    Serializable, Comparable<ImpersonationSessionNote>, UserSessionNoteDescriptor

      public enum ImpersonationSessionNote
      extends Enum<ImpersonationSessionNote>
      implements UserSessionNoteDescriptor

  Session note metadata for impersonation details stored in user session notes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IMPERSONATOR_ID`
    `IMPERSONATOR_USERNAME`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDisplayName()`
    `String` | `getTokenClaim()`
    `static ImpersonationSessionNote` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ImpersonationSessionNote[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IMPERSONATOR_ID

          public static final ImpersonationSessionNote IMPERSONATOR_ID

    - #### IMPERSONATOR_USERNAME

          public static final ImpersonationSessionNote IMPERSONATOR_USERNAME

  - ### Method Detail

    - #### values

          public static ImpersonationSessionNote[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ImpersonationSessionNote c : ImpersonationSessionNote.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ImpersonationSessionNote valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getDisplayName

          public String getDisplayName()

      Specified by:
        `getDisplayName` in interface `UserSessionNoteDescriptor`
      Returns:
        A human-readable name for the session note. This should tell the end user what the session note contains

    - #### getTokenClaim

          public String getTokenClaim()

      Specified by:
        `getTokenClaim` in interface `UserSessionNoteDescriptor`
      Returns:
        Token claim name/path to store the user session note value in.

Copyright © 2021 JBoss by Red Hat. All rights reserved.